Redmine - Defect #23939

Watchers not recieving e-mail notifications
2016-09-26 21:55 - Falcon Wood

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 3.3.0

Description

| have a question for you. Our Redmine install is set up as follows. LDAP for authentication with E-mail from users coming from AD.
We have IMAP and SMTP set up and working, and groups of users assigned to each project, in the project, you can create a new
ticket, and submit it to the group in some way. The Watchers List indicates who's in each group, and you can select group members.
On occasion we select watchers that are registered users but not in the group.

Shown here is a watchers list where we have a couple of members, these selected watchers all receive e-mails.
When we update tickets these watchers are not receiving e-mail notifications, but members of the project or group do receive email
notifications. We have the default for all accounts for email's as "Only for things | watch or am involved in". | can replicate this by
adding these users to the new issue, "search for watchers to add", or even after adding them using the edit function.

Settings page selected for Email notifications
Settings Administration

Email notifications Sibrects
) Issue updated % Plugins
News added
Message added

Wiki page added

Wiki page updated

Check all | Uncheck all

Email header
--Reply above this line--

You can reply to this message to update your ticket. All text above the above line will be posted to the ticket.

Email footer

You have received this netification because you have either subscribed to it, or are involved in it.
To change your notification preferences, please click here:

4
Save Send a test email

Redmine

Here is our default preferences:
DefaultEmailPrefs.png

is this behavior intended or?

Thanks!

History

#1 - 2016-09-27 03:42 - Toshi MARUYAMA

- Description updated

#2 - 2016-09-27 03:57 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please check issue visibility.
Test covers some cases.
source:tags/3.3.0/test/unit/mailer_test.rb#L.315

And see submissions.

#3 - 2016-09-29 23:27 - Falcon Wood

Thanks for the reply.

| am not sure what you mean by "Please check the issue visibility." or quite sure what to do with mailer_test source tag?
| am not really a 'ruby developer' but | can provide the following:

root@74359e6cda5c:/home/redmine/redmine/bin# ./about

Environment:

Redmine version 3.3.0.stable

Ruby version 2.1.9-p490 (2016-03-30) [x86_64-linux-gnu]
Rails version 4.2.6

Environment production

Database adapter PostgreSQL

SCM:

Subversion 1.8.8

Darcs 284
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.0/test/unit/mailer_test.rb#L315
https://www.redmine.org/projects/redmine/wiki/Submissions

Mercurial 2.8.2

Cvs 1.12.13
Bazaar 2.7.0
Git 2.9.2
Filesystem

Redmine plugins:
redmine_extended_watchers  1.0.5
root@74359e6cdasSc:/home/redmine/redmine/bin#

The plugin "redmine_extend_watchers" fixed our issue. messages are now sent out to watchers who are users, that are not members of the

marked-public project.

#4 - 2016-09-30 06:13 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Please reopen if you can reproduce on vanilla Redmine without plugins.
